## youtube-dl 2021.06.06-1~bpo10+1+9.0trisquel1

=== Makefile ===
all: youtube-dl README.md CONTRIBUTING.md README.txt youtube-dl.1 youtube-dl.bash-completion youtube-dl.zsh youtube-dl.fish supportedsites

clean:
	rm -rf youtube-dl.1.temp.md youtube-dl.1 youtube-dl.bash-completion README.txt MANIFEST build/ dist/ .coverage cover/ youtube-dl.tar.gz youtube-dl.zsh youtube-dl.fish youtube_dl/extractor/lazy_extractors.py *.dump *.part* *.ytdl *.info.json *.mp4 *.m4a *.flv *.mp3 *.avi *.mkv *.webm *.3gp *.wav *.ape *.swf *.jpg *.png CONTRIBUTING.md.tmp youtube-dl youtube-dl.exe
	find . -name "*.pyc" -delete
	find . -name "*.class" -delete

PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/man
SHAREDIR ?= $(PREFIX)/share
PYTHON ?= /usr/bin/env python

# set SYSCONFDIR to /etc if PREFIX=/usr or PREFIX=/usr/local
SYSCONFDIR = $(shell if [ $(PREFIX) = /usr -o $(PREFIX) = /usr/local ]; then echo /etc; else echo $(PREFIX)/etc; fi)

# set markdown input format to "markdown-smart" for pandoc version 2 and to "markdown" for pandoc prior to version 2
MARKDOWN = $(shell if [ `pandoc -v | head -n1 | cut -d" " -f2 | head -c1` = "2" ]; then echo markdown-smart; else echo markdown; fi)

install: youtube-dl youtube-dl.1 youtube-dl.bash-completion youtube-dl.zsh youtube-dl.fish
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 youtube-dl $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(MANDIR)/man1
	install -m 644 youtube-dl.1 $(DESTDIR)$(MANDIR)/man1
	install -d $(DESTDIR)$(SYSCONFDIR)/bash_completion.d
	install -m 644 youtube-dl.bash-completion $(DESTDIR)$(SYSCONFDIR)/bash_completion.d/youtube-dl
	install -d $(DESTDIR)$(SHAREDIR)/zsh/site-functions
	install -m 644 youtube-dl.zsh $(DESTDIR)$(SHAREDIR)/zsh/site-functions/_youtube-dl
	install -d $(DESTDIR)$(SYSCONFDIR)/fish/completions
	install -m 644 youtube-dl.fish $(DESTDIR)$(SYSCONFDIR)/fish/completions/youtube-dl.fish

codetest:
	flake8 \
		--exclude=.svn,CVS,.bzr,.hg,.git,__pycache__,.tox,.eggs,*.egg,.pc,.pybuild \
		--ignore=E121,E123,E126,E226,E24,E704,E402,E501,E731,E741,W503,W504,N802,N803,N806,N816,F401,F821,E302,E305,N801,N815,E265,N813,F403,F405 \
		.

test:
	#nosetests --with-coverage --cover-package=youtube_dl --cover-html --verbose --processes 4 test
	nosetests --verbose test
	$(MAKE) codetest

ot: offlinetest

# Keep this list in sync with devscripts/run_tests.sh
offlinetest:
	$(PYTHON) -m nose --verbose test \
		--exclude test_age_restriction.py \
		--exclude test_download.py \
		--exclude test_iqiyi_sdk_interpreter.py \
		--exclude test_socks.py \
		--exclude test_subtitles.py \
		--exclude test_write_annotations.py \
		--exclude test_youtube_lists.py \
		--exclude test_youtube_signature.py \
		--exclude test_downloader_http.py \
		--exclude test_InfoExtractor.py \
		--exclude test_http.py

tar: youtube-dl.tar.gz

.PHONY: all clean install test tar bash-completion pypi-files zsh-completion fish-completion ot offlinetest codetest supportedsites

pypi-files: youtube-dl.bash-completion README.txt youtube-dl.1 youtube-dl.fish

youtube-dl: youtube_dl/*.py youtube_dl/*/*.py
	mkdir -p zip
	for d in youtube_dl youtube_dl/downloader youtube_dl/extractor youtube_dl/postprocessor ; do \
	  mkdir -p zip/$$d ;\
	  cp -pPR $$d/*.py zip/$$d/ ;\
	done
	touch -t 200001010101 zip/youtube_dl/*.py zip/youtube_dl/*/*.py
	mv zip/youtube_dl/__main__.py zip/
	cd zip ; zip -q ../youtube-dl youtube_dl/*.py youtube_dl/*/*.py __main__.py
	rm -rf zip
	echo '#!$(PYTHON)' > youtube-dl
	cat youtube-dl.zip >> youtube-dl
	rm youtube-dl.zip
	chmod a+x youtube-dl

README.md: youtube_dl/*.py youtube_dl/*/*.py
	COLUMNS=80 $(PYTHON) youtube_dl/__main__.py --help | $(PYTHON) devscripts/make_readme.py

CONTRIBUTING.md: README.md
	$(PYTHON) devscripts/make_contributing.py README.md CONTRIBUTING.md

issuetemplates: devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/1_broken_site.md .github/ISSUE_TEMPLATE_tmpl/2_site_support_request.md .github/ISSUE_TEMPLATE_tmpl/3_site_feature_request.md .github/ISSUE_TEMPLATE_tmpl/4_bug_report.md .github/ISSUE_TEMPLATE_tmpl/5_feature_request.md youtube_dl/version.py
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/1_broken_site.md .github/ISSUE_TEMPLATE/1_broken_site.md
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/2_site_support_request.md .github/ISSUE_TEMPLATE/2_site_support_request.md
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/3_site_feature_request.md .github/ISSUE_TEMPLATE/3_site_feature_request.md
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/4_bug_report.md .github/ISSUE_TEMPLATE/4_bug_report.md
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/5_feature_request.md .github/ISSUE_TEMPLATE/5_feature_request.md

supportedsites:
	$(PYTHON) devscripts/make_supportedsites.py docs/supportedsites.md

README.txt: README.md
	pandoc -f $(MARKDOWN) -t plain README.md -o README.txt

youtube-dl.1: README.md
	$(PYTHON) devscripts/prepare_manpage.py youtube-dl.1.temp.md
	pandoc -s -f $(MARKDOWN) -t man youtube-dl.1.temp.md -o youtube-dl.1
	rm -f youtube-dl.1.temp.md

youtube-dl.bash-completion: youtube_dl/*.py youtube_dl/*/*.py devscripts/bash-completion.in
	$(PYTHON) devscripts/bash-completion.py

bash-completion: youtube-dl.bash-completion

youtube-dl.zsh: youtube_dl/*.py youtube_dl/*/*.py devscripts/zsh-completion.in
	$(PYTHON) devscripts/zsh-completion.py

zsh-completion: youtube-dl.zsh

youtube-dl.fish: youtube_dl/*.py youtube_dl/*/*.py devscripts/fish-completion.in
	$(PYTHON) devscripts/fish-completion.py

fish-completion: youtube-dl.fish

lazy-extractors: youtube_dl/extractor/lazy_extractors.py

_EXTRACTOR_FILES = $(shell find youtube_dl/extractor -iname '*.py' -and -not -iname 'lazy_extractors.py')
youtube_dl/extractor/lazy_extractors.py: devscripts/make_lazy_extractors.py devscripts/lazy_load_template.py $(_EXTRACTOR_FILES)
	$(PYTHON) devscripts/make_lazy_extractors.py $@

youtube-dl.tar.gz: youtube-dl README.md README.txt youtube-dl.1 youtube-dl.bash-completion youtube-dl.zsh youtube-dl.fish ChangeLog AUTHORS
	@tar -czf youtube-dl.tar.gz --transform "s|^|youtube-dl/|" --owner 0 --group 0 \
		--exclude '*.DS_Store' \
		--exclude '*.kate-swp' \
		--exclude '*.pyc' \
		--exclude '*.pyo' \
		--exclude '*~' \
		--exclude '__pycache__' \
		--exclude '.git' \
		--exclude 'docs/_build' \
		-- \
		bin devscripts test youtube_dl docs \
		ChangeLog AUTHORS LICENSE README.md README.txt \
		Makefile MANIFEST.in youtube-dl.1 youtube-dl.bash-completion \
		youtube-dl.zsh youtube-dl.fish setup.py setup.cfg \
		youtube-dl

=== debian/changelog ===
youtube-dl (2021.06.06-1~bpo10+1+9.0trisquel1) etiona; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 27 Aug 2021 19:47:31 +0000

youtube-dl (2021.06.06-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Roger Shimizu <rosh@debian.org>  Sun, 18 Jul 2021 23:43:24 +0900

youtube-dl (2021.02.10-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Roger Shimizu <rosh@debian.org>  Sun, 14 Mar 2021 17:47:50 +0900

youtube-dl (2021.01.08-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Roger Shimizu <rosh@debian.org>  Thu, 21 Jan 2021 01:31:48 +0900

youtube-dl (2020.11.29-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Roger Shimizu <rosh@debian.org>  Thu, 03 Dec 2020 21:36:38 +0900

youtube-dl (2020.11.12-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Roger Shimizu <rosh@debian.org>  Mon, 23 Nov 2020 00:18:38 +0900

youtube-dl (2020.09.20-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Roger Shimizu <rosh@debian.org>  Sat, 31 Oct 2020 21:40:18 +0900

youtube-dl (2020.09.14-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Roger Shimizu <rosh@debian.org>  Sun, 20 Sep 2020 23:08:26 +0900

youtube-dl (2020.06.16.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Roger Shimizu <rosh@debian.org>  Wed, 01 Jul 2020 00:08:23 +0900

=== debian/control ===
Source: youtube-dl
Maintainer: Andreas Tille <tille@debian.org>
Section: web
Priority: optional
Build-Depends:
 bash-completion,
 debhelper-compat (= 12),
 dh-exec,
 dh-python,
 flake8 <!nocheck>,
 pandoc,
 python3-nose <!nocheck>,
 python3-pkg-resources,
 python3-setuptools,
 zip
Build-Depends-Indep:
 python3
Rules-Requires-Root: no
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian/youtube-dl
Vcs-Git: https://salsa.debian.org/debian/youtube-dl.git
Homepage: https://ytdl-org.github.io/youtube-dl/

Package: youtube-dl
Architecture: all
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends}
Recommends:
 aria2 | wget | curl,
 ca-certificates,
 ffmpeg,
 mpv | mplayer,
 python3-pyxattr,
 rtmpdump
Suggests:
 libfribidi-bin | bidiv,
 phantomjs
Description: downloader of videos from YouTube and other sites
 youtube-dl is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 youtube-dl allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are:
 .
 1tv,
 20min,
 220.ro,
 23video,
 24video,
 3qsdn,
 3sat,
 4tube,
 56.com,
 5min,
 6play,
 7plus,
 8tracks,
 91porn,
 9c9media,
 9gag,
 9now.com.au,
 abc.net.au,
 abc.net.au:iview,
 abcnews,
 abcnews:video,
 abcotvs,
 abcotvs:clips,
 AcademicEarth:Course,
 acast,
 acast:channel,
 ADN,
 AdobeConnect,
 adobetv,
 adobetv:channel,
 adobetv:embed,
 adobetv:show,
 adobetv:video,
 AdultSwim,
 aenetworks,
 aenetworks:collection,
 aenetworks:show,
 afreecatv,
 AirMozilla,
 AliExpressLive,
 AlJazeera,
 Allocine,
 AlphaPorno,
 Amara,
 AMCNetworks,
 AmericasTestKitchen,
 AmericasTestKitchenSeason,
 anderetijden,
 AnimeOnDemand,
 Anvato,
 aol.com,
 APA,
 Aparat,
 AppleConnect,
 AppleDaily,
 ApplePodcasts,
 appletrailers,
 appletrailers:section,
 archive.org,
 ArcPublishing,
 ARD,
 ARD:mediathek,
 ARDBetaMediathek,
 Arkena,
 arte.sky.it,
 ArteTV,
 ArteTVEmbed,
 ArteTVPlaylist,
 AsianCrush,
 AsianCrushPlaylist,
 AtresPlayer,
 ATTTechChannel,
 ATVAt,
 AudiMedia,
 AudioBoom,
 audiomack,
 audiomack:album,
 AWAAN,
 awaan:live,
 awaan:season,
 awaan:video,
 AZMedien,
 BaiduVideo,
 Bandcamp,
 Bandcamp:album,
 Bandcamp:weekly,
 bangumi.bilibili.com,
 bbc,
 bbc.co.uk,
 bbc.co.uk:article,
 bbc.co.uk:iplayer:playlist,
 bbc.co.uk:playlist,
 BBVTV,
 Beatport,
 Beeg,
 BehindKink,
 Bellator,
 BellMedia,
 Bet,
 bfi:player,
 bfmtv,
 bfmtv:article,
 bfmtv:live,
 BibelTV,
 Bigflix,
 Bild,
 BiliBili,
 BilibiliAudio,
 BilibiliAudioAlbum,
 BiliBiliPlayer,
 BioBioChileTV,
 Biography,
 BIQLE,
 BitChute,
 BitChuteChannel,
 BleacherReport,
 BleacherReportCMS,
 blinkx,
 Bloomberg,
 BokeCC,
 BongaCams,
 BostonGlobe,
 Box,
 Bpb,
 BR,
 BravoTV,
 Break,
 brightcove:legacy,
 brightcove:new,
 BRMediathek,
 bt:article,
 bt:vestlendingen,
 BusinessInsider,
 BuzzFeed,
 BYUtv,
 Camdemy,
 CamdemyFolder,
 CamModels,
 CamTube,
 CamWithHer,
 canalc2.tv,
 Canalplus,
 Canvas,
 CanvasEen,
 CarambaTV,
 CarambaTVPage,
 CartoonNetwork,
 cbc.ca,
 cbc.ca:olympics,
 cbc.ca:player,
 cbc.ca:watch,
 cbc.ca:watch:video,
 CBS,
 CBSInteractive,
 CBSLocal,
 CBSLocalArticle,
 cbsnews,
 cbsnews:embed,
 cbsnews:livevideo,
 CBSSports,
 CCMA,
 CCTV,
 CDA,
 CeskaTelevize,
 CeskaTelevizePorady,
 channel9,
 CharlieRose,
 Chaturbate,
 Chilloutzone,
 chirbit,
 chirbit:profile,
 cielotv.it,
 Cinchcast,
 Cinemax,
 CiscoLiveSearch,
 CiscoLiveSession,
 CJSW,
 cliphunter,
 Clippit,
 ClipRs,
 Clipsyndicate,
 CloserToTruth,
 CloudflareStream,
 Cloudy,
 Clubic,
 Clyp,
 cmt.com,
 CNBC,
 CNBCVideo,
 CNN,
 CNNArticle,
 CNNBlogs,
 ComedyCentral,
 ComedyCentralTV,
 CommonMistakes,
 CondeNast,
 CONtv,
 Corus,
 Coub,
 Cracked,
 Crackle,
 CrooksAndLiars,
 crunchyroll,
 crunchyroll:playlist,
 CSpan,
 CtsNews,
 CTV,
 CTVNews,
 cu.ntv.co.jp,
 Culturebox,
 CultureUnplugged,
 curiositystream,
 curiositystream:collection,
 CWTV,
 DailyMail,
 dailymotion,
 dailymotion:playlist,
 dailymotion:user,
 daum.net,
 daum.net:clip,
 daum.net:playlist,
 daum.net:user,
 DBTV,
 DctpTv,
 DeezerPlaylist,
 defense.gouv.fr,
 democracynow,
 DHM,
 Digg,
 DigitallySpeaking,
 Digiteka,
 Discovery,
 DiscoveryGo,
 DiscoveryGoPlaylist,
 DiscoveryNetworksDe,
 DiscoveryVR,
 Disney,
 dlive:stream,
 dlive:vod,
 Dotsub,
 DouyuShow,
 DouyuTV,
 DPlay,
 DRBonanza,
 Dropbox,
 DrTuber,
 drtv,
 drtv:live,
 DTube,
 Dumpert,
 dvtv,
 dw,
 dw:article,
 EaglePlatform,
 EbaumsWorld,
 EchoMsk,
 egghead:course,
 egghead:lesson,
 ehftv,
 eHow,
 EinsUndEinsTV,
 Einthusan,
 eitb.tv,
 EllenTube,
 EllenTubePlaylist,
 EllenTubeVideo,
 ElPais,
 Embedly,
 EMPFlix,
 Engadget,
 Eporner,
 EroProfile,
 Escapist,
 ESPN,
 ESPNArticle,
 EsriVideo,
 Europa,
 EWETV,
 ExpoTV,
 Expressen,
 ExtremeTube,
 EyedoTV,
 facebook,
 FacebookPluginsVideo,
 faz.net,
 fc2,
 fc2:embed,
 Fczenit,
 filmon,
 filmon:channel,
 Filmweb,
 FiveThirtyEight,
 FiveTV,
 Flickr,
 Folketinget,
 FootyRoom,
 Formula1,
 FOX,
 FOX9,
 FOX9News,
 Foxgay,
 foxnews,
 foxnews:article,
 FoxSports,
 france2.fr:generation-what,
 FranceCulture,
 FranceInter,
 FranceTV,
 FranceTVEmbed,
 francetvinfo.fr,
 FranceTVJeunesse,
 FranceTVSite,
 Freesound,
 freespeech.org,
 FreshLive,
 FrontendMasters,
 FrontendMastersCourse,
 FrontendMastersLesson,
 FujiTVFODPlus7,
 Funimation,
 Funk,
 Fusion,
 Fux,
 Gaia,
 GameInformer,
 GameSpot,
 GameStar,
 Gaskrank,
 Gazeta,
 GDCVault,
 generic,
 Gfycat,
 GiantBomb,
 Giga,
 GlattvisionTV,
 Glide,
 Globo,
 GloboArticle,
 Go,
 GodTube,
 Golem,
 google:podcasts,
 google:podcasts:feed,
 GoogleDrive,
 Goshgay,
 GPUTechConf,
 Groupon,
 hbo,
 HearThisAt,
 Heise,
 HellPorno,
 Helsinki,
 HentaiStigma,
 hetklokhuis,
 hgtv.com:show,
 HiDive,
 HistoricFilms,
 history:player,
 history:topic,
 hitbox,
 hitbox:live,
 HitRecord,
 hketv,
 HornBunny,
 HotNewHipHop,
 hotstar,
 hotstar:playlist,
 Howcast,
 HowStuffWorks,
 HRTi,
 HRTiPlaylist,
 Huajiao,
 HuffPost,
 Hungama,
 HungamaSong,
 Hypem,
 ign.com,
 IGNArticle,
 IGNVideo,
 IHeartRadio,
 iheartradio:podcast,
 imdb,
 imdb:list,
 Imgur,
 imgur:album,
 imgur:gallery,
 Ina,
 Inc,
 IndavideoEmbed,
 InfoQ,
 Instagram,
 instagram:tag,
 instagram:user,
 Internazionale,
 InternetVideoArchive,
 IPrima,
 iqiyi,
 Ir90Tv,
 ITTF,
 ITV,
 ITVBTCC,
 ivi,
 ivi:compilation,
 ivideon,
 Iwara,
 Izlesene,
 Jamendo,
 JamendoAlbum,
 JeuxVideo,
 Joj,
 Jove,
 JWPlatform,
 Kakao,
 Kaltura,
 Kankan,
 Karaoketv,
 KarriereVideos,
 Katsomo,
 KeezMovies,
 Ketnet,
 khanacademy,
 khanacademy:unit,
 KickStarter,
 KinjaEmbed,
 KinoPoisk,
 KonserthusetPlay,
 KrasView,
 Ku6,
 KUSI,
 kuwo:album,
 kuwo:category,
 kuwo:chart,
 kuwo:mv,
 kuwo:singer,
 kuwo:song,
 la7.it,
 laola1tv,
 laola1tv:embed,
 lbry,
 lbry:channel,
 LCI,
 Lcp,
 LcpPlay,
 Le,
 Lecture2Go,
 Lecturio,
 LecturioCourse,
 LecturioDeCourse,
 LEGO,
 Lemonde,
 Lenta,
 LePlaylist,
 LetvCloud,
 Libsyn,
 life,
 life:embed,
 limelight,
 limelight:channel,
 limelight:channel_list,
 LineTV,
 linkedin:learning,
 linkedin:learning:course,
 LinuxAcademy,
 LiTV,
 LiveJournal,
 LiveLeak,
 LiveLeakEmbed,
 livestream,
 livestream:original,
 livestream:shortener,
 LnkGo,
 loc,
 LocalNews8,
 LoveHomePorn,
 lrt.lt,
 lynda,
 lynda:course,
 m6,
 mailru,
 mailru:music,
 mailru:music:search,
 MallTV,
 mangomolo:live,
 mangomolo:video,
 ManyVids,
 Markiza,
 MarkizaPage,
 massengeschmack.tv,
 MatchTV,
 MDR,
 MedalTV,
 media.ccc.de,
 media.ccc.de:lists,
 Medialaan,
 Mediaset,
 Mediasite,
 MediasiteCatalog,
 MediasiteNamedCatalog,
 Medici,
 megaphone.fm,
 Meipai,
 MelonVOD,
 META,
 metacafe,
 Metacritic,
 mewatch,
 Mgoon,
 MGTV,
 MiaoPai,
 minds,
 minds:channel,
 minds:group,
 MinistryGrid,
 Minoto,
 miomio.tv,
 MiTele,
 mixcloud,
 mixcloud:playlist,
 mixcloud:user,
 MLB,
 Mms,
 Mnet,
 MNetTV,
 MoeVideo,
 Mofosex,
 MofosexEmbed,
 Mojvideo,
 Morningstar,
 Motherless,
 MotherlessGroup,
 Motorsport,
 MovieClips,
 MovieFap,
 Moviezine,
 MovingImage,
 MSN,
 mtg,
 mtv,
 mtv.de,
 mtv:video,
 mtvjapan,
 mtvservices:embedded,
 MTVUutisetArticle,
 MuenchenTV,
 mva,
 mva:course,
 Mwave,
 MwaveMeetGreet,
 MyChannels,
 MySpace,
 MySpace:album,
 MySpass,
 Myvi,
 MyVidster,
 MyviEmbed,
 MyVisionTV,
 n-tv.de,
 natgeo:video,
 NationalGeographicTV,
 Naver,
 NBA,
 nba:watch,
 nba:watch:collection,
 NBAChannel,
 NBAEmbed,
 NBAWatchEmbed,
 NBC,
 NBCNews,
 nbcolympics,
 nbcolympics:stream,
 NBCSports,
 NBCSportsStream,
 NBCSportsVPlayer,
 ndr,
 ndr:embed,
 ndr:embed:base,
 NDTV,
 NerdCubedFeed,
 netease:album,
 netease:djradio,
 netease:mv,
 netease:playlist,
 netease:program,
 netease:singer,
 netease:song,
 NetPlus,
 Netzkino,
 Newgrounds,
 NewgroundsPlaylist,
 Newstube,
 NextMedia,
 NextMediaActionNews,
 NextTV,
 Nexx,
 NexxEmbed,
 nfl.com (CURRENTLY BROKEN),
 nfl.com:article (CURRENTLY BROKEN),
 NhkVod,
 NhkVodProgram,
 nhl.com,
 nick.com,
 nick.de,
 nickelodeon:br,
 nickelodeonru,
 nicknight,
 niconico,
 NiconicoPlaylist,
 Nintendo,
 njoy,
 njoy:embed,
 NJPWWorld,
 NobelPrize,
 NonkTube,
 Noovo,
 Normalboots,
 NosVideo,
 Nova,
 NovaEmbed,
 nowness,
 nowness:playlist,
 nowness:series,
 Noz,
 npo,
 npo.nl:live,
 npo.nl:radio,
 npo.nl:radio:fragment,
 Npr,
 NRK,
 NRKPlaylist,
 NRKRadioPodkast,
 NRKSkole,
 NRKTV,
 NRKTVDirekte,
 NRKTVEpisode,
 NRKTVEpisodes,
 NRKTVSeason,
 NRKTVSeries,
 NRLTV,
 ntv.ru,
 Nuvid,
 NYTimes,
 NYTimesArticle,
 NYTimesCooking,
 NZZ,
 ocw.mit.edu,
 OdaTV,
 Odnoklassniki,
 OktoberfestTV,
 OnDemandKorea,
 onet.pl,
 onet.tv,
 onet.tv:channel,
 OnetMVP,
 OnionStudios,
 Ooyala,
 OoyalaExternal,
 OraTV,
 orf:burgenland,
 orf:fm4,
 orf:fm4:story,
 orf:iptv,
 orf:kaernten,
 orf:noe,
 orf:oberoesterreich,
 orf:oe1,
 orf:oe3,
 orf:salzburg,
 orf:steiermark,
 orf:tirol,
 orf:tvthek,
 orf:vorarlberg,
 orf:wien,
 OsnatelTV,
 OutsideTV,
 PacktPub,
 PacktPubCourse,
 pandora.tv,
 ParamountNetwork,
 parliamentlive.tv,
 Patreon,
 pbs,
 PearVideo,
 PeerTube,
 People,
 PerformGroup,
 periscope,
 periscope:user,
 PhilharmonieDeParis,
 phoenix.de,
 Photobucket,
 Picarto,
 PicartoVod,
 Piksel,
 Pinkbike,
 Pinterest,
 PinterestCollection,
 Pladform,
 Platzi,
 PlatziCourse,
 play.fm,
 player.sky.it,
 PlayPlusTV,
 PlaysTV,
 Playtvak,
 Playvid,
 Playwire,
 pluralsight,
 pluralsight:course,
 podomatic,
 Pokemon,
 PolskieRadio,
 PolskieRadioCategory,
 Popcorntimes,
 PopcornTV,
 PornCom,
 PornerBros,
 PornHd,
 PornHub,
 PornHubPagedVideoList,
 PornHubUser,
 PornHubUserVideosUpload,
 Pornotube,
 PornoVoisines,
 PornoXO,
 PornTube,
 PressTV,
 prosiebensat1,
 puhutv,
 puhutv:serie,
 Puls4,
 Pyvideo,
 qqmusic,
 qqmusic:album,
 qqmusic:playlist,
 qqmusic:singer,
 qqmusic:toplist,
 QuantumTV,
 Qub,
 Quickline,
 QuicklineLive,
 R7,
 R7Article,
 radio.de,
 radiobremen,
 radiocanada,
 radiocanada:audiovideo,
 radiofrance,
 RadioJavan,
 Rai,
 RaiPlay,
 RaiPlayLive,
 RaiPlayPlaylist,
 RayWenderlich,
 RayWenderlichCourse,
 RBMARadio,
 RDS,
 RedBull,
 RedBullEmbed,
 RedBullTV,
 RedBullTVRrnContent,
 Reddit,
 RedditR,
 RedTube,
 RegioTV,
 RENTV,
 RENTVArticle,
 Restudy,
 Reuters,
 ReverbNation,
 RICE,
 RMCDecouverte,
 RockstarGames,
 RoosterTeeth,
 RottenTomatoes,
 Roxwel,
 Rozhlas,
 RTBF,
 rte,
 rte:radio,
 rtl.nl,
 rtl2,
 rtl2:you,
 rtl2:you:series,
 Rtmp,
 RTP,
 RTS,
 rtve.es:alacarta,
 rtve.es:infantil,
 rtve.es:live,
 rtve.es:television,
 RTVNH,
 RTVS,
 RUHD,
 RumbleEmbed,
 rutube,
 rutube:channel,
 rutube:embed,
 rutube:movie,
 rutube:person,
 rutube:playlist,
 RUTV,
 Ruutu,
 Ruv,
 safari,
 safari:api,
 safari:course,
 SAKTV,
 SaltTV,
 Sapo,
 savefrom.net,
 SBS,
 schooltv,
 screen.yahoo:search,
 Screencast,
 ScreencastOMatic,
 ScrippsNetworks,
 scrippsnetworks:watch,
 SCTE,
 SCTECourse,
 Seeker,
 SenateISVP,
 SendtoNews,
 Servus,
 Sexu,
 SeznamZpravy,
 SeznamZpravyArticle,
 Shahid,
 ShahidShow,
 Shared,
 ShowRoomLive,
 Sina,
 sky.it,
 sky:news,
 sky:sports,
 sky:sports:news,
 skyacademy.it,
 SkylineWebcams,

## youtube-dl 2021.12.17

=== Makefile ===
--- 
+++ 
@@ -30,10 +30,7 @@
 	install -m 644 youtube-dl.fish $(DESTDIR)$(SYSCONFDIR)/fish/completions/youtube-dl.fish
 
 codetest:
-	flake8 \
-		--exclude=.svn,CVS,.bzr,.hg,.git,__pycache__,.tox,.eggs,*.egg,.pc,.pybuild \
-		--ignore=E121,E123,E126,E226,E24,E704,E402,E501,E731,E741,W503,W504,N802,N803,N806,N816,F401,F821,E302,E305,N801,N815,E265,N813,F403,F405 \
-		.
+	flake8 .
 
 test:
 	#nosetests --with-coverage --cover-package=youtube_dl --cover-html --verbose --processes 4 test
@@ -43,7 +40,7 @@
 ot: offlinetest
 
 # Keep this list in sync with devscripts/run_tests.sh
-offlinetest:
+offlinetest: codetest
 	$(PYTHON) -m nose --verbose test \
 		--exclude test_age_restriction.py \
 		--exclude test_download.py \
@@ -52,10 +49,7 @@
 		--exclude test_subtitles.py \
 		--exclude test_write_annotations.py \
 		--exclude test_youtube_lists.py \
-		--exclude test_youtube_signature.py \
-		--exclude test_downloader_http.py \
-		--exclude test_InfoExtractor.py \
-		--exclude test_http.py
+		--exclude test_youtube_signature.py
 
 tar: youtube-dl.tar.gz

=== debian/changelog ===
youtube-dl (2021.12.17-2) unstable; urgency=low

  [ Andres Salomon ]
  * Add myself as an uploader.
  * Drop our build-dep on python3-nose, along with most of the other
    build-deps (closes: #1018674).
  * Depend upon the yt-dlp package, and stop actually building youtube-dl.
    Youtube-dl is in maintenance mode upstream, and active development is
    happening with the yt-dlp fork (closes: #994151).
  * Document the above in a NEWS entry.
  * Move to section oldlibs.

  [ Andreas Tille ]
  * Fix watch file

 -- Andres Salomon <dilinger@debian.org>  Tue, 03 Jan 2023 17:21:53 -0500

youtube-dl (2021.12.17-1) unstable; urgency=medium

  * Recommends: python3-pycryptodome
  * Disable reprotest
  * Drop debian/gbp.conf
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 19 Dec 2021 16:37:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,12 @@
 Source: youtube-dl
 Maintainer: Andreas Tille <tille@debian.org>
-Section: web
+Uploaders: Andres Salomon <dilinger@debian.org>
+Section: oldlibs
 Priority: optional
 Build-Depends:
- bash-completion,
- debhelper-compat (= 12),
- dh-exec,
- dh-python,
- flake8 <!nocheck>,
- pandoc,
- python3-nose <!nocheck>,
- python3-pkg-resources,
- python3-setuptools,
- zip
-Build-Depends-Indep:
- python3
+ debhelper-compat (= 13),
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/youtube-dl
 Vcs-Git: https://salsa.debian.org/debian/youtube-dl.git
 Homepage: https://ytdl-org.github.io/youtube-dl/
@@ -24,20 +14,20 @@
 Package: youtube-dl
 Architecture: all
 Depends:
- python3-pkg-resources,
- ${misc:Depends},
- ${python3:Depends}
+ yt-dlp,
+ ${misc:Depends}
 Recommends:
  aria2 | wget | curl,
  ca-certificates,
  ffmpeg,
  mpv | mplayer,
  python3-pyxattr,
- rtmpdump
+ rtmpdump,
+ python3-pycryptodome
 Suggests:
  libfribidi-bin | bidiv,
  phantomjs
-Description: downloader of videos from YouTube and other sites
+Description: download videos from YouTube and other sites (transitional package)
  youtube-dl is a small command-line program to download videos from
  YouTube.com and other sites that don't provide direct links to the
  videos served.
@@ -886,3 +876,12 @@
  sky:sports:news,
  skyacademy.it,
  SkylineWebcams,
+ skynewsarabia:article,
+ skynewsarabia:video,
+ Slideshare,
+ SlidesLive,
+ Slutload,
+ Snotr,
+ Sohu,
+ SonyLIV,
+ soundcloud,

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
#export PYBUILD_NAME = youtube_dl
#export PATH := $(CURDIR)/debian/utils:$(PATH)

%:
	dh $@

override_dh_auto_build:
	@echo hi mom!

override_dh_auto_install:
	@echo hi dad!

override_dh_auto_clean:
	@echo

#%:
#	dh $@ --with python3 --buildsystem=pybuild --with bash-completion
#
#override_dh_auto_configure:
#	PREFIX=/usr SYSCONFDIR=/etc make
#	rm youtube-dl
#
#override_dh_clean:
#	make clean
#	dh_clean

override_dh_auto_test:
ifeq (1,0)
	make offlinetest PYTHON=python3
endif

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,pgpsigurlmangle=s/$/.sig/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/ytdl-org/youtube-dl/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## youtube-dl 2021.12.17-2%2B10.0trisquel3

=== debian/changelog ===
youtube-dl (2021.12.17-2+10.0trisquel3) nabia; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 01 Apr 2023 20:46:58 +0000

=== debian/control ===
Source: youtube-dl
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders: Andres Salomon <dilinger@debian.org>
Section: oldlibs
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian/youtube-dl
Vcs-Git: https://salsa.debian.org/debian/youtube-dl.git
Homepage: https://ytdl-org.github.io/youtube-dl/

Package: youtube-dl
Architecture: all
Depends:
 yt-dlp,
 ${misc:Depends}
Recommends:
 aria2 | wget | curl,
 ca-certificates,
 ffmpeg,
 mpv | mplayer,
 python3-pyxattr,
 rtmpdump,
 python3-pycryptodome
Suggests:
 libfribidi-bin | bidiv,
 phantomjs
Description: download videos from YouTube and other sites (transitional package)
 youtube-dl is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 youtube-dl allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are at:
 https://ytdl-org.github.io/youtube-dl/supportedsites.html
